Bug 1405587 - build golang for ppc64le and s390x
Summary: build golang for ppc64le and s390x
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: golang
Version: 7.4
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jakub Čajka
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On: 1414500
Blocks: 1344553 1344554 1344590 1344592 1344596 1344598 1405448 1406046 1406053 1406054 1406090 1406137 1406139 1411763 1418480 1418899 1419713 1419739 1419752 1419763
TreeView+ depends on / blocked
 
Reported: 2016-12-16 18:59 UTC by Neil Horman
Modified: 2017-08-01 20:21 UTC (History)
13 users (show)

Fixed In Version: golang-1.7.4-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 20:21:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
spec file update for golang support (23.35 KB, text/plain)
2016-12-16 19:02 UTC, Neil Horman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1859 normal SHIPPED_LIVE Moderate: golang security, bug fix, and enhancement update 2017-08-01 18:23:38 UTC

Description Neil Horman 2016-12-16 18:59:12 UTC
IBM Is requesting that we have stack parity on ppc64le ni RHEL7.4 and Pegas, which includes support for docker and kubernetes.  golang is a needed prerequisite for that support.  Please add golang to our ppc64le build environment

Comment 1 Neil Horman 2016-12-16 19:02:43 UTC
Created attachment 1232733 [details]
spec file update for golang support

Here is the modified spec file I used to build golang for ppc64le here:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=12248586

I've subsequently used this package to build docker, which also works, so I'm reasonably confident it works well.

Please note, that since gcc-go is not up to version 5 in RHEL7, I can't bootstrap with that package. As such, I've instead included the upstream go binary tarball in the spec file to act as a bootstrap compiler.  Once we get golang built and into a collection that can be removed.

Comment 3 Neil Horman 2016-12-20 17:09:34 UTC
Addendum: please also backport upstream commit b4efd09d1880793e33fbb191ccfe1657bfeba0c9 when enabling ppc64le on golang.  This commit is needed to support larger relocations when linking, which will be needed to build kubernetes as part of this effort

Comment 6 Neil Horman 2017-01-05 15:53:39 UTC
yeah, sure.  Please also note the need for the upstream commit in comment 3 Jakub.  Thanks!

Comment 24 errata-xmlrpc 2017-08-01 20:21:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1859


Note You need to log in before you can comment on or make changes to this bug.